MCP tools
set_location
Set a simulated GPS location; latitude and longitude both null clear it (clearLocation).
| REST operation | setLocation (PUT /v1/devices/{deviceId}/location) |
| Needs a device | yes |
| Read only | no |
| Profiles | testing, full |
Parameters
Section titled “Parameters”| Name | Required | Type | Goes to | What it is |
|---|---|---|---|---|
device_id |
yes | string | path deviceId |
Stable device id such as ios:00008120-001A2B3C4D5E6F70 or android:R58M123ABC. |
lease |
no | string | header Silan-Lease |
Lease token when the device is claimed. |
latitude |
yes | number | body latitude |
|
longitude |
yes | number | body longitude |
Example call
Section titled “Example call”set_location({ device_id: "ios:00008120-001A2B3C4D5E6F70", latitude: …, longitude: … })